[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.IndexOfObject

Finds an object in the list and returns its index.

## Declaration

Source position: classesh.inc line 669

`public function TStrings.IndexOfObject(`
`AObject: TObject`
`):Integer; virtual;`

## Description

IndexOfObject searchs through the list of strings till it find a string associated with AObject, and returns the index of this string. If no such string is found, -1 is returned.

Remark:

1. Only the first occurrence of a string with associated object AObject is returned; if more strings in the list can be associated with AObject, they will not be found by this routine.
2. The returned position is zero-based, i.e. 0 indicates the first string in the list.

Documentation generated on: Feb 26 2014